Index: java/main/src/main/java/com/framsticks/util/dispatching/RunnableQueue.java
===================================================================
--- java/main/src/main/java/com/framsticks/util/dispatching/RunnableQueue.java	(revision 101)
+++ java/main/src/main/java/com/framsticks/util/dispatching/RunnableQueue.java	(revision 102)
@@ -19,3 +19,7 @@
 	}
 
+	public int size() {
+		return queue.size();
+	}
+
 }
Index: java/main/src/main/java/com/framsticks/util/dispatching/StackedJoinable.java
===================================================================
--- java/main/src/main/java/com/framsticks/util/dispatching/StackedJoinable.java	(revision 102)
+++ java/main/src/main/java/com/framsticks/util/dispatching/StackedJoinable.java	(revision 102)
@@ -0,0 +1,137 @@
+package com.framsticks.util.dispatching;
+
+import java.util.LinkedList;
+import java.util.ListIterator;
+import java.util.TimerTask;
+
+import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+
+import com.framsticks.params.annotations.AutoAppendAnnotation;
+import com.framsticks.params.annotations.FramsClassAnnotation;
+import com.framsticks.params.annotations.ParamAnnotation;
+
+@FramsClassAnnotation
+public class StackedJoinable extends AbstractJoinable implements JoinableParent {
+	private static final Logger log = LogManager.getLogger(StackedJoinable.class);
+
+
+	protected final LinkedList<Joinable> joinables = new LinkedList<Joinable>();
+	protected ListIterator<Joinable> iterator;
+	protected Joinable currentJoinable;
+
+	protected double interval = 1;
+
+	/**
+	 *
+	 */
+	public StackedJoinable() {
+		super();
+	}
+
+	@AutoAppendAnnotation
+	public void addJoinable(Joinable joinable) {
+		joinables.add(joinable);
+	}
+
+	@Override
+	public String getName() {
+		return "stacked";
+	}
+
+	@Override
+	public void childChangedState(Joinable joinable, JoinableState state) {
+		// log.error("{} notified {} about changing state to {}", joinable, this, state);
+		if (state.equals(JoinableState.RUNNING)) {
+			if (joinable == currentJoinable) {
+				Dispatching.getTimer().schedule(new TimerTask() {
+					@Override
+					public void run() {
+						startNext();
+					}
+				}, (int)(interval * 1000));
+			}
+			return;
+		}
+		if (state.equals(JoinableState.FINISHING)) {
+			if (joinable == currentJoinable) {
+				Dispatching.getTimer().schedule(new TimerTask() {
+					@Override
+					public void run() {
+						stopNext();
+					}
+				}, (int)(interval * 1000));
+			}
+			return;
+		}
+
+	}
+
+	protected void startNext() {
+		if (!iterator.hasNext()) {
+			currentJoinable = null;
+			log.debug("started all");
+			return;
+		}
+		currentJoinable = iterator.next();
+		log.debug("starting {}", currentJoinable);
+		Dispatching.use(currentJoinable, this);
+	}
+
+	protected void stopNext() {
+		if (!iterator.hasPrevious()) {
+			finishJoinable();
+			return;
+		}
+		currentJoinable = iterator.previous();
+		log.debug("stoping {}", currentJoinable);
+		Dispatching.drop(currentJoinable, this);
+	}
+
+	@Override
+	protected void joinableStart() {
+		iterator = joinables.listIterator();
+		startNext();
+	}
+
+	@Override
+	protected void joinableInterrupt() {
+		log.debug("interupting");
+		stopNext();
+	}
+
+	@Override
+	protected void joinableFinish() {
+		// here process ends and StackedJoinable transists to the joinable state
+
+	}
+
+	@Override
+	protected void joinableJoin() throws InterruptedException {
+
+	}
+
+	/**
+	 * @return the interval
+	 */
+	@ParamAnnotation
+	public double getInterval() {
+		return interval;
+	}
+
+	/**
+	 * @param interval the interval to set
+	 */
+	@ParamAnnotation
+	public void setInterval(double interval) {
+		this.interval = interval;
+	}
+
+	public Joinable get(int number) {
+		return joinables.get(number);
+	}
+
+	public int size() {
+		return joinables.size();
+	}
+}
Index: java/main/src/main/java/com/framsticks/util/dispatching/Thread.java
===================================================================
--- java/main/src/main/java/com/framsticks/util/dispatching/Thread.java	(revision 101)
+++ java/main/src/main/java/com/framsticks/util/dispatching/Thread.java	(revision 102)
@@ -106,6 +106,7 @@
 
 	@ParamAnnotation
-	public void setName(String name) {
+	public Thread<C> setName(String name) {
 		thread.setName(name);
+		return this;
 	}
 
@@ -119,8 +120,8 @@
 	}
 
-	@Override
-	public String toString() {
-		return getName();
-	}
+	// @Override
+	// public String toString() {
+	// 	return getName();
+	// }
 
 	@Override
Index: java/main/src/test/java/com/framsticks/core/ListChangeTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/core/ListChangeTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/core/ListChangeTest.java	(revision 102)
@@ -7,5 +7,5 @@
 
 import com.framsticks.core.ListChange.Action;
-import com.framsticks.params.AccessOperations;
+import static com.framsticks.params.AccessOperations.*;
 import com.framsticks.params.FramsClass;
 import com.framsticks.params.ListSink;
@@ -40,5 +40,5 @@
 	public void testFramsClass() {
 		framsClass = FramsClass.build().forClass(ListChange.class);
-		assertThat(framsClass.getParamCount()).isEqualTo(3);
+		assertThat(framsClass.getParamCount()).isEqualTo(4);
 	}
 
@@ -60,6 +60,6 @@
 
 	@Test(dependsOnMethods = "createReflectionAccess")
-	public void load() throws Exception {
-		AccessOperations.load(access.select(listChange), ListSource.createFrom("type:2", "pos:0", "id:test"));
+	public void loading() throws Exception {
+		load(access.select(listChange), ListSource.createFrom("type:2", "pos:0", "id:test"));
 
 		assertThat(listChange.action).isEqualTo(Action.Modify);
@@ -68,5 +68,5 @@
 
 		ListSink sink = new ListSink();
-		access.select(listChange).save(sink);
+		save(access.select(listChange), sink);
 		assertThat(sink.getOut()).isEqualTo(Arrays.asList("ListChange:", "type:2", "pos:0", "id:test", ""));
 	}
Index: java/main/src/test/java/com/framsticks/gui/console/DirectConsoleTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/gui/console/DirectConsoleTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/gui/console/DirectConsoleTest.java	(revision 102)
@@ -20,12 +20,9 @@
 	protected Joinable createSubject() {
 
-		connection = new ClientSideRawConnection();
-		connection.setAddress(new Address("localhost:9009"));
-
-		console = new DirectConsole().setConnection(connection);
+		console = new DirectConsole().setAddress(new Address("localhost:9009"));
 		joinables = new JoinableCollection<>();
 		joinables.setObservableName("connection and console");
 		joinables.add(console);
-		joinables.add(connection);
+		joinables.add(console.getConnection());
 
 		return joinables;
Index: java/main/src/test/java/com/framsticks/test/MonitorBasedTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/test/MonitorBasedTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/test/MonitorBasedTest.java	(revision 102)
@@ -30,5 +30,5 @@
 	}
 
-	@AfterClass(timeOut = 3000)
+	@AfterClass(timeOut = 30000)
 	public void tearDown() {
 		monitor.drop().join();
Index: java/main/src/test/java/com/framsticks/test/PrimeExperimentTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/test/PrimeExperimentTest.java	(revision 101)
+++ java/main/src/test/java/com/framsticks/test/PrimeExperimentTest.java	(revision 102)
@@ -6,15 +6,33 @@
 
 import com.framsticks.core.XmlBasedTest;
+import com.framsticks.util.dispatching.Dispatching;
+import com.framsticks.util.dispatching.StackedJoinable;
+
+import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
 
 @Test
 public class PrimeExperimentTest extends XmlBasedTest {
 
+	private static final Logger log = LogManager.getLogger(PrimeExperimentTest.class);
+
 	protected PrimeExperiment experiment;
+
 
 	@Test
 	public void start() {
+		log.debug("starting");
 		assertThat(framsticks).isNotNull();
-		assertThat(framsticks.get("prime")).isInstanceOf(PrimeExperiment.class);
-		experiment = (PrimeExperiment) framsticks.get("prime");
+		assertThat(framsticks.size()).isEqualTo(1);
+		assertThat(framsticks.get("stacked")).isInstanceOf(StackedJoinable.class);
+		StackedJoinable stacked = (StackedJoinable) framsticks.get("stacked");
+
+		assertThat(stacked.size()).isEqualTo(2);
+		assertThat(stacked.get(1)).isInstanceOf(PrimeExperiment.class);
+		// assertThat(framsticks.get("prime")).isInstanceOf(PrimeExperiment.class);
+		// experiment = (PrimeExperiment) framsticks.get("prime");
+		//
+		Dispatching.sleep(3);
 	}
+
 }
Index: java/main/src/test/java/com/framsticks/test/prime/PrimePackageTest.java
===================================================================
--- java/main/src/test/java/com/framsticks/test/prime/PrimePackageTest.java	(revision 102)
+++ java/main/src/test/java/com/framsticks/test/prime/PrimePackageTest.java	(revision 102)
@@ -0,0 +1,25 @@
+package com.framsticks.test.prime;
+
+// import static org.fest.assertions.Assertions.*;
+
+import org.testng.annotations.Test;
+
+import com.framsticks.test.TestConfiguration;
+
+@Test
+public class PrimePackageTest extends TestConfiguration {
+
+
+
+
+	@Test
+	public void printPrimePackage() {
+	}
+	// ExpParams:
+	// from_number:100
+	// to_number:200
+
+	// ExpState:
+	// current_number:201
+	// result:151,157,163,167,173,179,181,191,193,197,199
+}
